> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maxcare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List products in an inventory change

> Returns products associated with an inventory change. Requires read:inventory scope.



## OpenAPI

````yaml /openapi-v2.json get /inventory/changes/{id}/products
openapi: 3.0.0
info:
  title: Max AI Public API
  description: API for third-party marketplace apps
  version: '2.0'
  contact: {}
servers:
  - url: https://api.maxcare.ai/v2
security: []
tags: []
paths:
  /inventory/changes/{id}/products:
    get:
      tags:
        - Inventory
      summary: List products in an inventory change
      description: >-
        Returns products associated with an inventory change. Requires
        read:inventory scope.
      operationId: InventoryPublicController_listChangeProducts
      parameters:
        - name: id
          required: true
          in: path
          description: Change ID
          schema:
            type: string
        - name: X-Organization-Id
          in: header
          required: true
          schema:
            type: string
          description: Target clinic organization ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListChangeProductsSuccessResponse'
        '400':
          description: Missing or invalid request parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiBadRequestResponse'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiUnauthorizedResponse'
        '403':
          description: Insufficient scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiForbiddenResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiNotFoundResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiRateLimitResponse'
      security:
        - api-key: []
components:
  schemas:
    ListChangeProductsSuccessResponse:
      type: object
      properties:
        code:
          type: string
          description: Response code
          example: success
        data:
          $ref: '#/components/schemas/ListChangeProductsResponseData'
      required:
        - code
        - data
    PublicApiBadRequestResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: bad_request
        message:
          type: string
          description: Human-readable error message
          example: '''id'' must be a valid UUID'
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiUnauthorizedResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: unauthorized
        message:
          type: string
          description: Human-readable error message
          example: Invalid or missing API key
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiForbiddenResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: forbidden
        message:
          type: string
          description: Human-readable error message
          example: Insufficient scope
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiNotFoundResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: not_found
        message:
          type: string
          description: Human-readable error message
          example: Resource not found
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiRateLimitResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: rate_limit_exceeded
        message:
          type: string
          description: Human-readable error message
          example: Rate limit exceeded. Maximum 1000 requests per 60 seconds.
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    ListChangeProductsResponseData:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ExternalChangeProductResponse'
      required:
        - items
    ExternalChangeProductResponse:
      type: object
      properties:
        id:
          type: string
          description: Item ID
          example: a3b4c5d6-e7f8-4a9b-0c1d-2e3f4a5b6c7d
        changeId:
          type: string
          description: Change ID
          example: f2a3b4c5-d6e7-4f8a-9b0c-1d2e3f4a5b6c
        productId:
          type: string
          description: Product ID
          nullable: true
          example: b4c5d6e7-f8a9-4b0c-1d2e-3f4a5b6c7d8e
        scanSourceType:
          type: string
          description: Scan source type
          enum:
            - outer_box
            - product_packaging
            - product
            - invoice
          example: product_packaging
        rawBarcode:
          type: string
          description: Raw barcode value
          example: 01008142609915171726083110A1B2C3
        gtin:
          type: string
          description: GTIN code
          nullable: true
          example: '00814260991517'
        lotNumber:
          type: string
          description: Lot number
          nullable: true
          example: A1B2C3
        expirationDate:
          type: string
          description: Expiration date
          nullable: true
          example: '2026-08-31'
        serialNumber:
          type: string
          description: Serial number
          nullable: true
          example: null
        quantity:
          type: number
          description: Quantity
          example: 2
        parsedFields:
          type: object
          description: Parsed barcode fields
          additionalProperties:
            type: string
          nullable: true
          example:
            '10': A1B2C3
            '17': '260831'
            '01': '00814260991517'
        notes:
          type: string
          description: Notes
          nullable: true
          example: null
        createdAt:
          type: string
          description: Created timestamp
          example: '2025-01-20T09:15:00.000Z'
        productName:
          type: string
          description: Product name
          nullable: true
          example: Botox 100 Units
      required:
        - id
        - changeId
        - productId
        - scanSourceType
        - rawBarcode
        - gtin
        - lotNumber
        - expirationDate
        - serialNumber
        - quantity
        - parsedFields
        - notes
        - createdAt
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Marketplace API key

````